## com.google.debugging.sourcemap
Enum SourceMapSection.SectionType

    java.lang.Object
      java.lang.Enum<SourceMapSection.SectionType>
          com.google.debugging.sourcemap.SourceMapSection.SectionType

All Implemented Interfaces:
  Serializable, Comparable<SourceMapSection.SectionType>

Enclosing class:
  SourceMapSection

    public static enum SourceMapSection.SectionType

extends Enum<SourceMapSection.SectionType>

Enum Constant Summary
`MAP`
`URL`

Method Summary
`static SourceMapSection.SectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceMapSection.SectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### URL

    public static final SourceMapSection.SectionType URL

### MAP

    public static final SourceMapSection.SectionType MAP

Method Detail

### values

    public static SourceMapSection.SectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SourceMapSection.SectionType c : SourceMapSection.SectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SourceMapSection.SectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null